Skip to main content
GET
List workflows

Authorizations

Authorization
string
header
required

Organization API key using Authorization: Bearer sk_....

Query Parameters

skip
number
default:0

Pagination offset.

Required range: x >= 0
Example:

0

take
number
default:20

Pagination limit.

Required range: 1 <= x <= 100
Example:

20

Response

Workflows list

id
string
required

Unique identifier of the workflow.

Example:

"wf_1234567890abcdefghij"

createdAt
string<date-time>
required

When the workflow was created.

updatedAt
string<date-time>
required

When the workflow was last updated. Send it back as expectedUpdatedAt.

organizationId
string
required

Organization that owns the workflow.

key
string
required

Stable workflow key.

name
string
required

Name of the workflow.

Example:

"Cobranza estándar"

description
string | null
required

Optional description of the workflow.

status
enum<string>
required

Whether the workflow runs on new events.

Available options:
DRAFT,
ACTIVE,
PAUSED
publishedVersionId
string | null
required

Currently published version. Send it back as expectedPublishedVersionId.

deletedAt
string<date-time> | null
required

When the workflow was deleted, if applicable.